Home

# Class goog.fx.DragDropGroup

Drag/drop implementation for creating drag sources/drop targets consisting of multiple HTML Elements (items). All items share the same drop target(s) but can be dragged individually.

extends goog.fx.AbstractDragDrop

Instance Method Summary
| `addDragDropItem(?goog.fx.DragDropItem item)` Add DragDropItem to drag object.
| `addItem((Element|null|string) element, ?Object= opt_data)` Add item to drag object.
| `removeItem((Element|null|string) element)` Remove item from drag object.
| `setSelection(?Array list)` Marks the supplied list of items as selected. A drag operation for any of the selected items will affect all of them.